KJL - Feature #2606

Production: Setting autoload pada Tab COA
02/22/2024 10:21 AM - jihad ....

Status: Closed
Priority: Immediate
Assignee: jihad ....
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

02/22/2024
02/23/2024
0%

0.00 hour
4.00 hours

Description
Mas Shofwan,

Pada production menu QC Inspection terdapat tab COA. untuk kolom parameter, unit dan standard ingin di autoload ketika klik

button add, parameternya sudah dibuat.

table parameter: PCMFILOPARAMETER
table coa: PTRPRODCOA

Menu: Logictic & Service > Production Management > QC Inspection

Port: http://remote.minovais.com:61138/
Server: remote.minovais.com,1452
DB: MinovaES_KJL_Prod

Terima kasih.

History

#1 - 02/22/2024 05:48 PM - Kezia Pawitra Yulianti
- Due date set to 02/23/2024
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 02/23/2024 02:07 PM - shofwan shiddiq
- File clipboard-202402231406-tngpv.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to jihad ....
I My Workplace Document Item

Reference:
I Financial Accounting
I Human Resource
Document Detail
) LRI Flexible Inspection Wrapping Inspection U-Shape Inspection coa
M Sales Management
e © Add | | ] Delete
W Purchasing
Parameter | Unit Standard Check1 Check2 Check3 Minimum Result Maximum Result Resume

I Inventory Document . . .
1 Weight Gram  0.56+- 0.02

SPK

B Production Order

I Production Report

I Asset Management

I Reporting

I System Administration

Dear Jihad, Sudah auto load ya utk COA nya
Perubahan di SDATAATABLEFIELD Table Name = PTRPRODCOA, FieldName = Parameter, Kolom Select Function

debugger;

var stores = Ext.StoreMgr.lookup("storePTRPRODCOA");

var grid = Ext.getCmp(gridName);

var selection = grid.getView().getSelectionModel().getSelection()[0];
var idx = grid.store.indexOf(selection);

if (selection == undefined) {

idx = index;

var UnitValue = stores.getAt(idx).get('Unit');
var StandardValue = stores.getAt(idx).get('Standard');

var store = Ext.StoreMgr.lookup("store_ PTRPRODCOAParameter");
/Ivar idx = store.getCount() - 1;

var Parameter = val.value;

Ext.Ajax.request({

async: false,

method: 'POST',

url: '/UserControl/GetStore’',

params: {

tableName: 'PCMFILOPARAMETER!,

param: 'Parameter[=]' + Parameter

13

success: function (response) {

var results = Ext.decode(response.responseText);
dtgrid = results.data;

}

D;

var max;

for (var i = 0; i < dtgrid.length; i++) {

max = dtgrid[i];

}

if (max != undefined) {
stores.getAt(idx).set('Unit', max.Unit);
stores.getAt(idx).set('Standard’, max.Standard);
}else {

stores.getAt(idx).set('Unit', ");
stores.getAt(idx).set('Standard'’, ");

}

#3 - 02/23/2024 04:44 PM - jihad ....
- File clipboard-202402231644-eh6xu.png added
- Status changed from QA Test to Assigned

- Assignee changed from jihad .... to shofwan shiddiq

Mas Shofwan,

load yang diinginkan yaitu semua parameter juga tampil

B e e LT

r r

| Outer Diameter | Mm  45+-0.

Weight

Inner Diameter
Outer Diameter
Upper Length
Lower Length
Folded Length
Extended Length
Diagonal Cutting
Belt Size

Pitch

Thickness

#4 - 03/04/2024 03:20 PM - indra Z

- Priority changed from Urgent to Immediate

#5 - 04/29/2024 10:40 AM - shofwan shiddiq

- File clipboard-202404291040-bub7x.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to jihad ....

Dear Jihad, Autoload sudah di buat ya. Untuk deploy silahkan deploy trigger di table PTRPRODUCTIONHEAD

[trgAfterinsert_PtrProductionHead]
Document Item
Reference:
B My Workplace

I Financial Accounting
Document Detail

@ Human Resource

«ction Flexible Inspection Wrapping Inspection U-Shape Inspection m

i Master Data

W Sales Management Parameter Unit Standard Check1 Check2 Check3 Minimum Result Maximum Result Resume
W Purchasing 1 Weight Gram  0.56 +-0.02
8 Inventory Document 2 | Pitch Mm N/A
3 Thickness Mikron 250 +-10
4 Material PP
SPK
5 Colour Transparent
B Production Order
6 Packing Gram 20 pcs/ Renceng
7 Visual Normal. Hygiene
D sy 8 Inner Diameter Mm 4.0+ 0.05
i Asset Management 9 Outer Diameter Mm 4.5+-0.05
™ Reporting 10 Upper Length Mm N/A
1 Lower Length Mm N/A
B System Administration 12 Folded Length Mm N/A
13 Extended Length Mm 185 +- 0.5
14 Diagonal Cutting N/A -
#6 - 05/17/2024 04:10 PM - jihad ....
- Status changed from QA Test to Assigned

- Assignee changed from jihad .... to shofwan shiddiq

#7 - 05/17/2024 04:39 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to jihad ....

#8 - 05/17/2024 05:08 PM - jihad ....

- Status changed from Assigned to Closed

terima kasih mas shofwan
